libpqxx: pqxx::connect_direct Class Reference

libpqxx 4.0.1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
pqxx::connect_direct Class Reference
Connection classes

Connection policy; creates an immediate connection to a database. More...

`#include <connection.hxx>`

Inheritance diagram for pqxx::connect_direct:

## Public Member Functions
| connect_direct (const std::string &opts)
virtual handle | do_startconnect (handle)
Public Member Functions inherited from pqxx::connectionpolicy
| connectionpolicy (const std::string &opts)
virtual | ~connectionpolicy () throw ()
const std::string & | options () const throw ()
virtual handle | do_completeconnect (handle orig)
virtual handle | do_dropconnect (handle orig) throw ()
virtual handle | do_disconnect (handle orig) throw ()
virtual bool | is_ready (handle) const throw ()

## Additional Inherited Members
Public Types inherited from pqxx::connectionpolicy
typedef internal::pq::PGconn * | handle
Protected Member Functions inherited from pqxx::connectionpolicy
handle | normalconnect (handle)

## Detailed Description

Connection policy; creates an immediate connection to a database.

This is the policy you typically need when you work with a database through libpqxx. It connects to the database immediately. Another option is to defer setting up the underlying connection to the database until it's actually needed; the connect_lazy policy implements such "lazy" * behaviour.

The advantage of having an "immediate" connection (as this policy gives you) is that any errors in setting up the connection will occur during construction of the connection object, rather than at some later point further down your program.

## Constructor & Destructor Documentation

pqxx::connect_direct::connect_direct | ( | const std::string & | opts | ) |
| explicit

## Member Function Documentation

pqxx::connectionpolicy::handle pqxx::connect_direct::do_startconnect | ( | handle | orig | ) |
| virtual

Reimplemented from pqxx::connectionpolicy.

The documentation for this class was generated from the following files:

- connection.hxx
- connection.cxx